<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'enrollment';

		/* data for selected record, or defaults if none is selected */
		var data = {
			stud_id: <?php echo json_encode(array('id' => $rdata['stud_id'], 'value' => $rdata['stud_id'], 'text' => $jdata['stud_id'])); ?>,
			course_id: <?php echo json_encode(array('id' => $rdata['course_id'], 'value' => $rdata['course_id'], 'text' => $jdata['course_id'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for stud_id */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'stud_id' && d.id == data.stud_id.id)
				return { results: [ data.stud_id ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for course_id */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'course_id' && d.id == data.course_id.id)
				return { results: [ data.course_id ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

